package com.changda.gjjapp.common.service.impl;
import java.util.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.changda.gjjapp.db.entity.B_XTCS_PZ;
import com.changda.gjjapp.db.dao.IB_XTCS_PZDao;
import com.changda.gjjapp.common.service.IB_XTCS_PZService;
@Service("XT_XTCS_PZService")
public class B_XTCS_PZService implements IB_XTCS_PZService
{
 
 @Autowired
 private IB_XTCS_PZDao b_xtcs_pzDao;
 
 public B_XTCS_PZ  queryXTCS(Map<String,Object> map)
 {
  return b_xtcs_pzDao.queryXTCS(map);
 }
 
 public B_XTCS_PZ queryByKey(Map map)
 {
  return b_xtcs_pzDao.queryByKey(map);
 }
 
 @Override
 public int count(Map map)
 {
  return b_xtcs_pzDao.count(map);
 }
 
 @Override
 public int countByKey(String xtcssdjb, String xtcsbm, String sddxbm)
 {
  Map<String,Object> inputmap = new HashMap<String,Object>();
  inputmap.put("xtcssdjb", xtcssdjb);
  inputmap.put("xtcsbm", xtcsbm);
  inputmap.put("sddxbm", sddxbm);
  return b_xtcs_pzDao.count(inputmap);
 }
 
 @Override
 public void insert(B_XTCS_PZ b_xtcs_pz)
 {
  b_xtcs_pzDao.insert(b_xtcs_pz);
 }
 
 @Override
 public void delete(B_XTCS_PZ b_xtcs_pz)
 {
  b_xtcs_pzDao.delete(b_xtcs_pz);
 }
 
 @Override
 public void deleteByKey(String xtcssdjb, String xtcsbm, String sddxbm)
 {
  B_XTCS_PZ b_xtcs_pz = new B_XTCS_PZ();
  b_xtcs_pz.setXTCSSDJB(xtcssdjb);
  b_xtcs_pz.setXTCSBM(xtcsbm);
  b_xtcs_pz.setSDDXBM(sddxbm);
  b_xtcs_pzDao.delete(b_xtcs_pz);
 }
 
 @Override
 public void update(B_XTCS_PZ b_xtcs_pz)
 {
  b_xtcs_pzDao.update(b_xtcs_pz);
 }
 
 @Override
 @Transactional
 public void insert(List<B_XTCS_PZ> listb_xtcs_pz)
 {
      for(B_XTCS_PZ b_xtcs_pz:listb_xtcs_pz)
      {
            b_xtcs_pzDao.insert(b_xtcs_pz);
      }

 }
 
 @Override
 @Transactional
 public void delete(List<B_XTCS_PZ> listb_xtcs_pz)
 {
      for(B_XTCS_PZ b_xtcs_pz:listb_xtcs_pz)
      {
            b_xtcs_pzDao.delete(b_xtcs_pz);
      }

 }
 
 @Override
 @Transactional
 public void update(List<B_XTCS_PZ> listb_xtcs_pz)
 {
      for(B_XTCS_PZ b_xtcs_pz:listb_xtcs_pz)
      {
            b_xtcs_pzDao.update(b_xtcs_pz);
      }

 }

@Override
public B_XTCS_PZ queryGRDK(Map<String, Object> map) {
	// TODO Auto-generated method stub
	  return b_xtcs_pzDao.queryGRDK(map);
}
}

